
public class Class463_Sub23 extends Class463 {

   public static final int anInt8037 = 1;
   public static final int anInt8038 = 4;
   public static final int anInt8039 = 3;
   public static final int anInt8040 = 2;
   public static final int anInt8041 = 0;


   public Class463_Sub23(Class225_Sub6 var1) {
      super(var1);
   }

   public Class463_Sub23(int var1, Class225_Sub6 var2) {
      super(var1, var2);
   }

   public void method12991(int var1) {
      if(this.anInt5736 * -204978999 < 0 || -204978999 * this.anInt5736 > 4) {
         this.anInt5736 = this.method7807(-735287214) * -1684335239;
      }

   }

   int method7807(int var1) {
      return 0;
   }

   int method7808(int var1, int var2) {
      return 1;
   }

   void method7812(int var1, byte var2) {
      this.anInt5736 = -1684335239 * var1;
   }

   public int method12992(int var1) {
      return this.anInt5736 * -204978999;
   }

   int method7815() {
      return 0;
   }

   int method7811(int var1) {
      return 1;
   }

   public int method12993() {
      return this.anInt5736 * -204978999;
   }

   void method7806(int var1) {
      this.anInt5736 = -1684335239 * var1;
   }

   public void method12994() {
      if(this.anInt5736 * -204978999 < 0 || -204978999 * this.anInt5736 > 4) {
         this.anInt5736 = this.method7807(-1175441360) * -1684335239;
      }

   }

   void method7810(int var1) {
      this.anInt5736 = -1684335239 * var1;
   }

   public void method12995() {
      if(this.anInt5736 * -204978999 < 0 || -204978999 * this.anInt5736 > 4) {
         this.anInt5736 = this.method7807(-1100742705) * -1684335239;
      }

   }

   public void method12996() {
      if(this.anInt5736 * -204978999 < 0 || -204978999 * this.anInt5736 > 4) {
         this.anInt5736 = this.method7807(-1588823816) * -1684335239;
      }

   }

   void method7814(int var1) {
      this.anInt5736 = -1684335239 * var1;
   }

   public int method12997() {
      return this.anInt5736 * -204978999;
   }

   public int method12998() {
      return this.anInt5736 * -204978999;
   }

   int method7813(int var1) {
      return 1;
   }

   public static Class40 method12999(int var0, int var1) {
      Class40[] var2 = Class394.method6745(-1530906590);

      for(int var3 = 0; var3 < var2.length; ++var3) {
         Class40 var4 = var2[var3];
         if(var4.anInt437 * -1801511945 == var0) {
            return var4;
         }
      }

      return null;
   }
}
